<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_reset_log.php
| Author: Paul Beuk a.k.a. muscapaul
| Admin Reset Infusion
| muscapaul@gmail.com / http://www.muscapaul.com
| nick@php-fusion.co.uk / http://digital-dominion.co.uk
| Copyright  2008-2009
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."admin_reset/infusion_db.php";

if (!checkrights("APWR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."admin_reset/locale/".$settings['locale'].".php")) {
	include INFUSIONS."admin_reset/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."admin_reset/locale/English.php";
}

if (isset($_POST['clearall'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_ADMIN_RESETLOG."");
	redirect(FUSION_SELF.$aidlink);
}
if (isset($_POST['reset'])) {
	redirect("index.php".$aidlink);
}

opentable("Past resets");
echo "<form name='actionform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table width='100%'><tr><td class='tbl1' align='center' colspan='6'><input type='submit' class='button' name='reset' value='".$locale['apw_113']."' /> <input type='submit' class='button' name='clearall' value='".$locale['apw_114']."' /></td></tr></table>\n";
echo "</form>";
echo "<table width='100%' border='0'>\n";
echo "<tr><td class='tbl1' valign='top'>".$locale['apw_116']."</td>\n";
echo "<td class='tbl1' valign='top'>".$locale['apw_117']."</td>\n";
echo "<td class='tbl1' valign='top'>".$locale['apw_118']."</td>\n";
echo "<td class='tbl1' valign='top'>".$locale['apw_119']."</td>\n";
echo "<td class='tbl1' valign='top'>".$locale['apw_120']."</td>\n";
echo "<td class='tbl1' valign='top'>".$locale['apw_121']."</td></tr>\n";
$result = dbquery("SELECT ta.*, tu.user_name, tu.user_id FROM ".DB_ADMIN_RESETLOG." ta LEFT JOIN ".DB_USERS." tu ON ta.reset_name=tu.user_id ORDER BY reset_timestamp DESC");
$titles = array($locale['apw_125'], $locale['apw_101'], $locale['apw_102'], $locale['apw_103']);
while ($data = dbarray($result)) {
	echo "<tr><td class='tbl1' colspan='6'><hr /></td></tr>\n";
	echo "<tr><td class='tbl1' valign='top'>".$data['reset_id']."</td>\n";
	echo "<td class='tbl1' valign='top'>".showdate("forumdate", $data['reset_timestamp'])."</td>\n";
	echo "<td class='tbl1' valign='top'>".$data['user_name']."</td>\n";
	$reset_passwords = $titles[$data['reset_passwords']];
	echo "<td class='tbl1' valign='top'>".$reset_passwords."</td>\n";
	echo "<td class='tbl1' valign='top'>".$locale['apw_122']."<br />\n";
	if ($data['reset_admins'] == "") {
		echo $locale['apw_124'];
	}
	else {
		$admin = explode(".", $data['reset_admins']);
		$i = 0;
		for ($i = 0; $i < count($admin); $i++) {
			if ($i < count($admin)-1) {
				echo userize($admin[$i]).", ";
			}
			else {
				echo userize($admin[$i])."\n";
			}
		}
	}
	echo "<br />".$locale['apw_123']."<br />\n";
	if ($data['reset_failed'] == "") {
		echo $locale['apw_124'];
	}
	else {
		$admin2 = explode(".", $data['reset_failed']);
		for ($i = 0; $i < count($admin2); $i++) {
			if ($i < count($admin2)-1) {
				echo userize($admin2[$i]).", ";
			}
			else {
				echo userize($admin2[$i])."\n";
			}
		}
	}

	echo "</td>\n";
	echo "<td class='tbl1' valign='top'>".$data['reset_reason']."</td></tr>\n";
}
echo "</table>\n";	
closetable();

function userize($text) {
	$data = dbarray(dbquery("SELECT user_name, user_id FROM ".DB_USERS." WHERE user_id=".$text.""));
	$text = $data['user_name'];
	return $text;
}

require_once THEMES."templates/footer.php";
?>