<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones a.k.a. Digitanium
| Some additional features: Paul Beuk a.k.a. muscapaul
| Admin Reset Infusion
| nick@php-fusion.co.uk / http://digital-dominion.co.uk
| muscapaul@gmail.com / http://www.muscapaul.com
| Copyright  2008-2009
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."admin_reset/infusion_db.php";

if (file_exists(INFUSIONS."admin_reset/locale/".$settings['locale'].".php")) {
	include INFUSIONS."admin_reset/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."admin_reset/locale/English.php";
}

$inf_title = $locale['apw_title'];
$inf_description = $locale['apw_desc'];
$inf_version = "1.10";
$inf_developer = "Digitanium, added features muscapaul";
$inf_email = "muscapaul@gmail.com";
$inf_weburl = "http://www.muscapaul.com";

$inf_folder = "admin_reset";

$inf_newtable[1] = DB_ADMIN_RESETLOG." (
reset_id mediumint(8) unsigned NOT NULL auto_increment,
reset_name mediumint(8) unsigned NOT NULL default '1',
reset_timestamp int(10) unsigned NOT NULL default '0',
reset_admins text NOT NULL,
reset_failed text NOT NULL,
reset_passwords tinyint(1) unsigned NOT NULL default '0',
reset_reason varchar(256) NOT NULL,
PRIMARY KEY (reset_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_ADMIN_RESETLOG;

$inf_adminpanel[1] = array(
	"title" => $locale['apw_admin1'],
	"image" => "image.gif",
	"panel" => "index.php",
	"rights" => "APWR"
);
?>